Bug 138928 - CD-Rom & CD-Recorder work in Gnome, Fail with "/dev/hdd: Input/output error mount: /dev/hdd: can't read superblock" in KDE, Xfce
CD-Rom & CD-Recorder work in Gnome, Fail with "/dev/hdd: Input/output error m...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 18:16 EST by Bob Agel
Modified: 2015-01-04 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Agel 2004-11-11 18:16:02 EST
Description of problem:I can play or burn CD's without error in Gnome,
however in the other two
desktops, the system fails to recognize the CD. Icons for my CD-Rom and
CD-Recorder are on the desktop, however clicking on them returns the
error: "/dev/hdd: Input/output error .. mount: /dev/hdd: can't read
superblock .. Please check that the disk is entered correctly."

Hwbrowser shows the correct cd-rom and cd-recorder.
  
Trying to mount in terminal: 
bob@localhost media]$ mount /media/cdrom
/dev/hdd: Input/output error
mount: /dev/hdd: can't read superblock

Fstab:
/dev/hdd /media/cdrom auto
pamconsole,fscontext=system_ubject_r:removable_t ,ro,exec,noauto,managed
0 0
/dev/hdc /media/cdrecorder auto
pamconsole,fscontext=system_ubject_r:removable_t ,ro,exec,noauto,managed
0 0



Version-Release number of selected component (if applicable):


How reproducible: Insert any CD in either CD-Rom or CD-Recorder. Note:
This bug has been present since installation.


Steps to Reproduce:
1.Insert any CD into either the CD-Rom or CD-Recorder. 
2.
3.
  
Actual results:
If in Gnome, CD is recognized and will burn or play
without error.  If in KDE or Xfce, CD is not recognized and device
cannot be mounted. (Floppy works in Gnome, KDE & Xfce).	


Expected results:
Since KDE, Gnome and Xfce are gui's based on the same
kernel, I would expect that major components would function in all
three without error.  


Additional info:
SELinux is not enabled.
Comment 1 Harald Hoyer 2004-11-12 04:55:36 EST
wow, the mount command should not fail like this!

what is suspicious, that there is a space between "removable_t" and
",ro" ... is this correct???
Comment 2 Bob Agel 2004-11-12 12:10:50 EST
Hi Harald;  re bug 138928, that was a cut and paste, so the space
would have been there.  However I've since disabled SELinux, so now my
fstab reads (again cut and paste):
/dev/hdd                /media/cdrom            auto   
pamconsole,ro,exec,noauto,managed 0 0
/dev/hdc                /media/cdrecorder       auto   
pamconsole,ro,exec,noauto,managed 0 0

This could also be related:
In my system logs, there are the following errors: /(example)/
Nov 10 11:26:44 localhost kernel: ide: failed opcode was 100
Nov 10 11:26:44 localhost kernel: end_request: I/O error, dev hdd,
sector 44 /(note:many sectors involved)/
Nov 10 11:26:44 localhost kernel: Buffer I/O error on device hdd,
logical block 11 /(note: many blocks involved)/
Nov 10 11:26:44 localhost kernel: hdd: command error: status=0x51 {
DriveReady SeekComplete Error }
Nov 10 11:26:44 localhost kernel: hdd: command error: error=0x54

What's also weird, although probably not related, is that my login
screen refuses to allow 'root' to log in.

Gee, it's fun being on the 'bleeding edge'.  Can't wait for FC4!
Comment 3 Bob Agel 2004-11-14 13:12:35 EST
After many attempts to correct the errors, I formatted and reinstalled
FC3.  Now NEITHER Gnome nor KDE will allow me to mount the CD-Rom or
burner. The error is again 'can't read superblock'.  The ONLY thing
that I did after installation was to use Up2date to install the 51
changes.
BTW, I CAN now sign in as Root, so something was accomplished.
  
Comment 4 Harald Hoyer 2004-11-15 06:21:09 EST
wow.. never saw such a thing... 
Nov 10 11:26:44 localhost kernel: ide: failed opcode was 100

reassigning to kernel
Comment 5 Bob Agel 2004-11-15 20:13:50 EST
Resolved, the hard way. Formatted the entire HD, used Wipe to write
zeroes to every section and reinstalled.  Now everything works (until
I break it again)
Comment 6 Dave Jones 2005-07-15 15:51:50 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Dave Jones 2005-10-02 20:33:44 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.